Bug 1019324 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the file /SYSVbabeface (deleted).
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b8052ba21bf07dd066c659f0f39...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 09:37 EDT by Mikhail
Modified: 2013-12-13 21:53 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-105.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:53:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2013-10-15 09:37:07 EDT
Description of problem:
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the file /SYSVbabeface (deleted).

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/SYSVbabeface (deleted) default label should be etc_runtime_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /SYSVbabeface (deleted)

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that totem-video-thumbnailer should be allowed write access on the SYSVbabeface (deleted) file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep multiqueue0:src /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_tmpfs_t:s0
Target Objects                /SYSVbabeface (deleted) [ file ]
Source                        multiqueue0:src
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           totem-3.10.1-1.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-84.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.5-300.fc20.x86_64+debug #1
                              SMP Mon Oct 14 13:05:38 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-10-15 19:22:59 YEKT
Last Seen                     2013-10-15 19:22:59 YEKT
Local ID                      33dd7da9-279d-49fd-8802-816267ed73c3

Raw Audit Messages
type=AVC msg=audit(1381843379.693:503): avc:  denied  { write } for  pid=5948 comm="multiqueue0:src" path=2F535953566261626566616365202864656C6574656429 dev="tmpfs" ino=22609927 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_tmpfs_t:s0 tclass=file


type=SYSCALL msg=audit(1381843379.693:503): arch=x86_64 syscall=shmat success=no exit=EACCES a0=1590007 a1=0 a2=0 a3=0 items=0 ppid=2011 pid=5948 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=multiqueue0:src exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: multiqueue0:src,thumb_t,user_tmpfs_t,file,write

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.5-300.fc20.x86_64+debug
type:           libreport
Comment 1 Daniel Walsh 2013-10-16 15:27:36 EDT
823b0f53e08f412b075e11da22882055cbaa5631 fixes this in git.
Comment 2 Fedora Update System 2013-11-27 03:14:11 EST
selinux-policy-3.12.1-105.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-105.fc20
Comment 3 Fedora Update System 2013-11-27 11:11:56 EST
Package selinux-policy-3.12.1-105.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-105.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22285/selinux-policy-3.12.1-105.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-12-13 21:53:12 EST
selinux-policy-3.12.1-105.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.